package cn.iocoder.yudao.module.member.service.refund;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.refund.vo.RefundPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.refund.vo.RefundSaveReqVO;
import cn.iocoder.yudao.module.member.controller.app.refund.vo.AppRefundSaveReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.refund.RefundDO;

import javax.validation.Valid;

/**
 * 退款审核 Service 接口
 *
 * @author 管理员
 */
public interface RefundService {

    /**
     * 创建退款审核
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRefund(@Valid RefundSaveReqVO createReqVO);

    /**
     * 更新退款审核
     *
     * @param updateReqVO 更新信息
     */
    void updateRefund(@Valid RefundSaveReqVO updateReqVO);

    /**
     * 删除退款审核
     *
     * @param id 编号
     */
    void deleteRefund(Long id);

    /**
     * 获得退款审核
     *
     * @param id 编号
     * @return 退款审核
     */
    RefundDO getRefund(Long id);

    /**
     * 获得退款审核分页
     *
     * @param pageReqVO 分页查询
     * @return 退款审核分页
     */
    PageResult<RefundDO> getRefundPage(RefundPageReqVO pageReqVO);

    /**
     * 创建退款审核
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAppRefund(@Valid AppRefundSaveReqVO createReqVO);


    String getRefundStatus(Long orderId);
}